// -*- C++ -*-
/*
 * Simple gtkglextmm example using libglademm.
 *
 * written by Naofumi Yasufuku  <naofumi@users.sourceforge.net>
 * restructured and libglade support by Dirc Rose <rose@vis.uni-stuttgart.de>
 *
 */

#ifndef GL_CONFIG_UTIL_H
#define GL_CONFIG_UTIL_H

#include <iostream>
#include <cstdlib>

#include <gtkmm.h>
#include <gtkglmm.h>

#ifdef G_OS_WIN32
#define WIN32_LEAN_AND_MEAN 1
#include <windows.h>
#endif

struct GLConfigUtil
{
  static void print_gl_attrib(const Glib::RefPtr<const Gdk::GL::Config>& glconfig,
                              const char* attrib_str,
                              int attrib,
                              bool is_boolean);

  static void examine_gl_attrib(const Glib::RefPtr<const Gdk::GL::Config>& glconfig);
};

#endif

